=== debian/changelog ===
wolan (0.1-3) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Michel <michel.nolf@gmail.com>  Fri, 06 Aug 2010 11:01:08 +0200
