=== debian/changelog ===
wolan (0.1-5) unstable; urgency=low

    Add the possibility to manage more than one target.
    Add the test to detect if the host is up and running

 -- Michel <michel.nolf@gmail.com>  Fri, 06 Aug 2010 11:01:08 +0200
