=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,10 @@
 
 	# Add here commands to install the package into debian/wolan.
 	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/wolan" install
+	cp "$(CURDIR)/build/wolan" "$(CURDIR)/debian/wolan/opt/wolan/"
 	cp "$(CURDIR)/data/wolan.desktop" "$(CURDIR)/debian/wolan/usr/share/applications/hildon/"
 	cp "$(CURDIR)/data/wolan.png" "$(CURDIR)/debian/wolan/usr/share/pixmaps/"
-
+	cp "$(CURDIR)/data/wolan.conf" "$(CURDIR)/debian/wolan/opt/wolan"
 
 # Build architecture-independent files here.
 binary-indep: build install
