=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+
+
+
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 
-	qmake
 	touch configure-stamp
 
 
 build: build-stamp
 
-build-stamp: configure-stamp
+build-stamp: configure-stamp  
 	dh_testdir
 
 	# Add here commands to compile the package.
+	qmake
 	$(MAKE)
+	#docbook-to-man debian/wolan.sgml > wolan.1
+
 	touch $@
 
 clean: 
@@ -33,7 +39,8 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	# $(MAKE) clean
+
 	dh_clean 
 
 install: build
@@ -43,11 +50,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/wolan.
-	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/wolan" install
-	cp "$(CURDIR)/build/wolan" "$(CURDIR)/debian/wolan/opt/wolan/"
-	cp "$(CURDIR)/data/wolan.desktop" "$(CURDIR)/debian/wolan/usr/share/applications/hildon/"
-	cp "$(CURDIR)/data/wolan.png" "$(CURDIR)/debian/wolan/usr/share/pixmaps/"
-	cp "$(CURDIR)/data/wolan.conf" "$(CURDIR)/debian/wolan/opt/wolan"
+	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/wolan install
+
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -57,6 +61,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
 #	dh_install
@@ -72,17 +77,16 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip 
+	# dh_strip
 	dh_compress
 	dh_fixperms
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	# dh_shlibdeps                      # Uncomment this line for publishing!
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
-
